.woocommerce .quantity input.qty,
.woocommerce-page .quantity input.qty,
.woocommerce #content .quantity input.qty,
.woocommerce-page #content .quantity input.qty,
.woocommerce-cart table.cart td.actions .coupon .input-text,
.woocommerce form .form-row input.input-text,
.woocommerce form .form-row textarea,
.et_pb_wc_cart_totals .select2-container--default .select2-selection--single,
.et_pb_wc_checkout_billing
  .select2-container--default
  .select2-selection--single,
.et_pb_wc_checkout_shipping
  .select2-container--default
  .select2-selection--single {
  -webkit-appearance: none;
  background-color: rgba(255, 255, 255, 0.3) !important;
  max-width: 100%;
  border-width: 0;
  border-radius: 0;
  color: #666;
  font-size: 16px;
  padding: 8px !important;
  line-height: 1.7em;
  border-style: solid;
}

/* date pickeer lcoal plus */
.pickup-location-appointment-date {
  padding: 12px 15px !important;
}
.pickup-location-calendar {
  position: relative !important;
}
.pickup-location-calendar::before {
  position: absolute;
  content: "";
  height: 50px;
  width: 14px;
  background: url(/wp-content/uploads/2024/03/arrow-to-bottom-right.svg);
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
  top: 10px;
  left: -20px;
}
.ui-datepicker-trigger {
  transform: translateY(11px);
}
.select2-container--default
  .select2-results__option--highlighted[aria-selected],
.select2-container--default
  .select2-results__option--highlighted[data-selected] {
  background-color: var(--main-dark) !important;
}
.pickup-location-address {
  font-size: 12px !important;
  font-weight: lighter !important;
  margin: 0 0 15px 15px !important;
  font-style: italic;
}

.pickup-location-field-label:first-of-type {
  font-family: "Caveat Brush", handwriting !important;
  color: var(--main-dark) !important;
  white-space: nowrap;
}

.pickup-location-field-label strong {
  font-weight: 400 !important;
}

.pickup-location-field-label .required {
  display: none !important;
}

#order_review input[type="radio"] {
  accent-color: var(--main-dark) !important;
}
.pickup-location-field .pickup-location-field-label {
  opacity: 1 !important;
}
.woocommerce-shipping-total .lpp-shipping-package-wrapper {
  margin-top: 15px !important;
  width: 100% !important;
}
.wc-location-pickup-plus-pickup-location-option-address {
  display: none !important;
}

.woocommerce table.shop_table {
  border: none !important;
}
.woocommerce table.shop_table tfoot td {
  font-weight: unset !important;
}

#pickup-location-field-for-0 > em {
  display: none !important;
}

.pickup-location-field .woocommerce-shipping-contents {
  display: none;
}
/* #shipping_method li {
      position: relative;
    } */

#shipping_method li:first-child {
  margin-bottom: 40px !important;
}
#shipping_method_0_flat_rate4,
#shipping_method_0_flat_rate5 {
  position: relative;
  /* margin-bottom: 50px; */
}

#shipping_method_0_flat_rate4::after,
#shipping_method_0_flat_rate5::after {
  content: "Expédition tous les mercredis. Toute commande passée après mardi 20h sera envoyée la semaine suivante";
  position: absolute;
  /* position: relative; */
  display: block;
  width: auto;
  width: 350px;
  height: 50px;
  top: 20px;
  left: 18px;
  font-size: 12px;
  font-style: italic;
  color: #666;
  /* white-space: nowrap; */
}

.row_coupons_alert .woocommerce-info {
  width: 100% !important;
}

.woocommerce-info,
.woocommerce .woocommerce-error,
.woocommerce .woocommerce-info,
.woocommerce .woocommerce-message {
  background: var(--main-light) !important;
  background-color: var(--main-light) !important;
  border: 2px solid var(--main-dark) !important;
  border-radius: var(--radius);
  color: var(--main-dark) !important;
}
.woocommerce-info a,
.woocommerce-message a {
  color: var(--main-dark) !important;
}

#section_checkout label {
  font-size: 16px !important;
}
#section_checkout .woocommerce-info {
  margin: 0 0 20px 0 !important;
}

#section_checkout .woocommerce-info,
#section_checkout .woocommerce .woocommerce-message {
  background-color: var(--main-light) !important;
  border: 1px solid var(--main-dark) !important;
  color: var(--main-dark) !important;
  width: 100% !important;
}

#section_checkout .woocommerce-info a {
  color: var(--main-dark) !important;
  text-decoration: underline;
}

#section_checkout .woocommerce .woocommerce-error {
  background: var(--main-dark) !important;
  color: var(--main-light) !important;
}

#billing_postcode_field,
#billing_last_name_field {
  margin-left: 2%;
}
#billing_city_field,
#billing_postcode_field {
  display: inline-block !important;
  width: 49% !important;
}

.pickup-location-field .pickup-location-appointment-date {
  min-width: 160px !important;
}
#module_shortcode_woocommerce_cart .woocommerce-shipping-destination {
  display: none !important;
}

.woocommerce-terms-and-conditions-link {
  color: #666 !important;
  text-decoration: underline;
}

.select2-container--default .select2-selection--single,
.checkout_horaire_custom
  .select2-container--default
  .select2-selection--single {
  font-size: 16px !important;
  border: 1px solid #bbb !important;
  /* background-color: rgba(255, 255, 255, 0.3) !important; */
  padding-top: 6px !important;
  padding-bottom: 6px !important;
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  height: unset !important;
  border-radius: 0;
}

/* mode de paiement */
#add_payment_method #payment,
.woocommerce-cart #payment,
.woocommerce-checkout #payment {
  background: white !important;
  border: none;
}
#add_payment_method #payment div.payment_box,
.woocommerce-cart #payment div.payment_box,
.woocommerce-checkout #payment div.payment_box {
  background-color: #f0f0f0;
}
.woocommerce-checkout #payment div.payment_box::before {
  border: 1em solid #f0f0f0;
  border-right-color: transparent;
  border-left-color: transparent;
  border-top-color: transparent;
}
.woocommerce-privacy-policy-text {
  font-size: 16px !important;
}
.woocommerce-privacy-policy-text a {
  color: #666 !important;
  text-decoration: underline;
}
@media screen and (min-width: 981px) {
  #section_checkout .col2-set {
    width: 100% !important;
    /* display: inline-block !important; */
    order: 2;
  }
  #section_checkout .col2-set .col-1 {
    width: 100% !important;
  }
  #section_checkout #order_review_heading {
    /* display: none !important; */
    position: absolute;
  }
  #section_checkout #order_review {
    /* display: inline-block !important; */
    width: 100% !important;
    padding-top: 25px;
    margin-top: 50px !important;
  }
  #section_checkout #order_review_heading {
    margin-top: 50px !important;
  }
  /* #section_checkout form.woocommerce-checkout {
    display: grid;
    grid-template-columns: 3fr 1fr;
    grid-gap: 50px;
    padding-top: 80px;
  } */
}

/* section_phones_checkout */
#section_phones_checkout {
  background-color: var(--bleu-light) !important;
  background: var(--bleu-light) !important;
}

.woocommerce-NoticeGroup {
  position: absolute !important;
  z-index: 999999;
  transform: translateY(-80px);
}



/* edit tshirt et cookies  */
label[for="shipping_method_0_local_pickup_plus"]{
   display: none !important;
}
.pickup-location-address{
    pointer-events: none !important;
    z-index: -1 !important;
    margin-top: -30px !important;
    font-weight: bold !important;
    font-size: 20px !important;
}
.pickup-location-address::first-line{
    color: #ffeadd !important;
    font-size: 1px !important;
}
.woocommerce table.shop_table tbody th{
    display: none !important;
}
 
/* détail woo  */
.pickup-location-cart-item-field{
    display: none !important;
}



@media screen and (max-width: 767px) {
  .woocommerce table.shop_table td {
    padding: 0 !important;
  }

  .woocommerce table.shop_table_responsive tr td::before,
  .woocommerce-page table.shop_table_responsive tr td::before {
    content: attr(data-title) !important;
  }
  .woocommerce-shipping-total .lpp-shipping-package-wrapper {
    margin-bottom: 10px !important;
  }

  .woocommerce-shipping-total.shipping td,
  .woocommerce-shipping-total.shipping th {
    display: block !important;
  }
  .pickup-location-field-label {
    max-width: 140px !important;
  }
  .woocommerce-checkout-payment .p-FieldLabel {
    font-size: 16px !important;
  }

  #shipping_method_0_flat_rate4::after,
  #shipping_method_0_flat_rate5::after {
    width: 300px;
  }
  .woocommerce-shipping-methods li {
    white-space: nowrap;
  }
  .woocommerce-shipping-methods li:first-child {
    white-space: unset;
  }
  #woo_recap_commande_livraison {
    margin-top: 50px;
  }

  #section_checkout .cart_item .product-name {
    font-size: 16px !important;
    padding-left: 10.5px !important;
  }
  #billing_last_name_field {
    margin-left: 0 !important;
  }
}
